Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.xmla
Class XmlaServletImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              mondrian.xmla.XmlaServlet
                  mondrian.xmla.impl.DefaultXmlaServlet
                      com.jaspersoft.jasperserver.war.xmla.XmlaServletImpl

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, mondrian.xmla.XmlaConstants

    public class XmlaServletImpl

extends mondrian.xmla.impl.DefaultXmlaServlet

Author:
  sbirney
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class mondrian.xmla.XmlaServlet
`mondrian.xmla.XmlaServlet.Phase`

Field Summary

Fields inherited from class mondrian.xmla.impl.DefaultXmlaServlet
`nl`

Fields inherited from class mondrian.xmla.XmlaServlet
`catalogLocator, charEncoding, dataSources, DEFAULT_DATASOURCE_FILE, PARAM_CALLBACKS, PARAM_CHAR_ENCODING, PARAM_DATASOURCES_CONFIG, PARAM_OPTIONAL_DATASOURCE_CONFIG, xmlaHandler`

Fields inherited from interface mondrian.xmla.XmlaConstants
`CHH_AUTHORIZATION_CODE, CHH_AUTHORIZATION_FAULT_FS, CHH_CODE, CHH_FAULT_FS, CLIENT_FAULT_FC, CONTENT_DEFAULT, CONTEXT_ROLE, CONTEXT_XMLA_SESSION_ID, CONTEXT_XMLA_SESSION_STATE, CONTEXT_XMLA_SESSION_STATE_BEGIN, CONTEXT_XMLA_SESSION_STATE_END, CONTEXT_XMLA_SESSION_STATE_WITHIN, CPOSTA_CODE, CPOSTA_FAULT_FS, CPREA_CODE, CPREA_FAULT_FS, FAULT_ACTOR, FAULT_FC_PREFIX, FAULT_FS_PREFIX, FAULT_NS_PREFIX, HSB_ACCESS_DENIED_CODE, HSB_ACCESS_DENIED_FAULT_FS, HSB_BAD_COMMAND_CODE, HSB_BAD_COMMAND_FAULT_FS, HSB_BAD_METHOD_CODE, HSB_BAD_METHOD_FAULT_FS, HSB_BAD_METHOD_NS_CODE, HSB_BAD_METHOD_NS_FAULT_FS, HSB_BAD_NON_NULLABLE_COLUMN_CODE, HSB_BAD_NON_NULLABLE_COLUMN_FAULT_FS, HSB_BAD_PROPERTIES_CODE, HSB_BAD_PROPERTIES_FAULT_FS, HSB_BAD_PROPERTIES_LIST_CODE, HSB_BAD_PROPERTIES_LIST_FAULT_FS, HSB_BAD_REQUEST_TYPE_CODE, HSB_BAD_REQUEST_TYPE_FAULT_FS, HSB_BAD_RESTRICTION_LIST_CODE, HSB_BAD_RESTRICTION_LIST_FAULT_FS, HSB_BAD_RESTRICTION_TYPE_CODE, HSB_BAD_RESTRICTION_TYPE_FAULT_FS, HSB_BAD_RESTRICTION_VALUE_CODE, HSB_BAD_RESTRICTION_VALUE_FAULT_FS, HSB_BAD_RESTRICTIONS_CODE, HSB_BAD_RESTRICTIONS_FAULT_FS, HSB_BAD_SOAP_BODY_CODE, HSB_BAD_SOAP_BODY_FAULT_FS, HSB_BAD_STATEMENT_CODE, HSB_BAD_STATEMENT_FAULT_FS, HSB_CONNECTION_DATA_SOURCE_CODE, HSB_CONNECTION_DATA_SOURCE_FAULT_FS, HSB_DISCOVER_FORMAT_CODE, HSB_DISCOVER_FORMAT_FAULT_FS, HSB_DISCOVER_UNPARSE_CODE, HSB_DISCOVER_UNPARSE_FAULT_FS, HSB_DRILL_THROUGH_FORMAT_CODE, HSB_DRILL_THROUGH_FORMAT_FAULT_FS, HSB_DRILL_THROUGH_NOT_ALLOWED_CODE, HSB_DRILL_THROUGH_NOT_ALLOWED_FAULT_FS, HSB_DRILL_THROUGH_SQL_CODE, HSB_DRILL_THROUGH_SQL_FAULT_FS, HSB_DRILLDOWN_BAD_FIRST_ROWSET_CODE, HSB_DRILLDOWN_BAD_FIRST_ROWSET_FAULT_FS, HSB_DRILLDOWN_BAD_MAXROWS_CODE, HSB_DRILLDOWN_BAD_MAXROWS_FAULT_FS, HSB_DRILLDOWN_ERROR_CODE, HSB_DRILLDOWN_ERROR_FAULT_FS, HSB_EXECUTE_QUERY_CODE, HSB_EXECUTE_QUERY_FAULT_FS, HSB_EXECUTE_UNPARSE_CODE, HSB_EXECUTE_UNPARSE_FAULT_FS, HSB_PARSE_QUERY_CODE, HSB_PARSE_QUERY_FAULT_FS, HSB_PROCESS_CODE, HSB_PROCESS_FAULT_FS, HSB_UNKNOWN_CODE, HSB_UNKNOWN_FAULT_FS, HSB_UNSUPPORTED_OPERATION_CODE, HSB_UNSUPPORTED_OPERATION_FAULT_FS, HSH_BAD_SESSION_ID_CODE, HSH_BAD_SESSION_ID_FAULT_FS, HSH_MUST_UNDERSTAND_CODE, HSH_MUST_UNDERSTAND_FAULT_FS, HSH_UNKNOWN_CODE, HSH_UNKNOWN_FAULT_FS, METHOD_DISCOVER, METHOD_EXECUTE, MONDRIAN_NAMESPACE, MSM_UNKNOWN_CODE, MSM_UNKNOWN_FAULT_FS, MUST_UNDERSTAND_FAULT_FC, NS_SOAP_ENC_1_1, NS_SOAP_ENC_1_2, NS_SOAP_ENV_1_1, NS_SOAP_ENV_1_2, NS_SQL, NS_XMLA, NS_XMLA_EMPTY, NS_XMLA_EX, NS_XMLA_MDDATASET, NS_XMLA_ROWSET, NS_XSD, NS_XSI, SERVER_FAULT_FC, SOAP_MUST_UNDERSTAND_ATTR, SOAP_PREFIX, UNKNOWN_ERROR_CODE, UNKNOWN_ERROR_FAULT_FS, USM_DOM_FACTORY_CODE, USM_DOM_FACTORY_FAULT_FS, USM_DOM_PARSE_CODE, USM_DOM_PARSE_FAULT_FS, USM_DOM_PARSE_IO_CODE, USM_DOM_PARSE_IO_FAULT_FS, USM_REQUEST_INPUT_CODE, USM_REQUEST_INPUT_FAULT_FS, USM_REQUEST_STATE_CODE, USM_REQUEST_STATE_FAULT_FS, USM_UNKNOWN_CODE, USM_UNKNOWN_FAULT_FS, VERSION_MISSMATCH_FAULT_FC, XMLA_BEGIN_SESSION, XMLA_END_SESSION, XMLA_SESSION, XMLA_SESSION_ID`

Constructor Summary
`XmlaServletImpl()`

Method Summary
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`OlapConnectionService` | `getConnectionService()`
`static org.springframework.context.ApplicationContext` | `getContext()`
`RepositoryService` | `getRepository()`
`protected mondrian.xmla.XmlaHandler` | `getXmlaHandler()` property: xmlaHandler
`protected void` | `handleFault(javax.servlet.http.HttpServletResponse response, byte[][] responseSoapParts, mondrian.xmla.XmlaServlet.Phase phase, java.lang.Throwable t)`
`void` | `init(javax.servlet.ServletConfig config)`
`protected mondrian.xmla.DataSourcesConfig.DataSources` | `makeDataSources(javax.servlet.ServletConfig servletConfig)`
`void` | `setConnectionService(OlapConnectionService cs)`
`void` | `setRepository(RepositoryService repository)`

Methods inherited from class mondrian.xmla.impl.DefaultXmlaServlet
`generateSessionId, getDocumentBuilderFactory, getSessionId, handleSoapBody, handleSoapHeader, marshallSoapMessage, unmarshallSoapMessage`

Methods inherited from class mondrian.xmla.XmlaServlet
`addCallback, addToDataSources, getBooleanInitParameter, getCallbacks, getParameter, initCallbacks, initCharEncodingHandler, makeCatalogLocator, parseDataSources, parseDataSourcesUrl`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlaServletImpl

    public XmlaServletImpl()

Method Detail

### getContext

    public static org.springframework.context.ApplicationContext getContext()

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `mondrian.xmla.impl.DefaultXmlaServlet`
  Throws:
    `javax.servlet.ServletException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Overrides:
    `doPost` in class `mondrian.xmla.XmlaServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### handleFault

    protected void handleFault(javax.servlet.http.HttpServletResponse response,
                               byte[][] responseSoapParts,
                               mondrian.xmla.XmlaServlet.Phase phase,
                               java.lang.Throwable t)

  Overrides:
    `handleFault` in class `mondrian.xmla.impl.DefaultXmlaServlet`

### makeDataSources

    protected mondrian.xmla.DataSourcesConfig.DataSources makeDataSources(javax.servlet.ServletConfig servletConfig)

  Overrides:
    `makeDataSources` in class `mondrian.xmla.XmlaServlet`

### getXmlaHandler

    protected mondrian.xmla.XmlaHandler getXmlaHandler()

  property: xmlaHandler

  Overrides:
    `getXmlaHandler` in class `mondrian.xmla.XmlaServlet`

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getConnectionService

    public OlapConnectionService getConnectionService()

### setConnectionService

    public void setConnectionService(OlapConnectionService cs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.